/// This error exist just to implement the `IntoAnyError` trait for the `MlsCLIDBError` enum.
/// This is necessary to convert the error to `anyhow::Error` in
/// the error that mls_rs can work with.
#[derive(Debug, thiserror::Error)]
pub enum MlsCLIDBError {
    #[error("Error: {0}")]
    AnyError(#[from] anyhow::Error),
}

impl mls_rs_core::error::IntoAnyError for MlsCLIDBError {}
