use sqlx::SqlitePool;

use crate::{args::MlcConfig, services::WSManager};

#[derive(Clone, Debug)]
pub struct MlcState {
    pub sqlite_pool: SqlitePool,
    pub ws_manager: WSManager,
    pub config: MlcConfig,
}
